import { ChangeDetectorRef, ElementRef, EventEmitter, Renderer2, AfterViewInit } from '@angular/core';
import { ControlValueAccessor, NgControl, NgModel } from '@angular/forms';
export declare class DatePickerDirective implements ControlValueAccessor, AfterViewInit {
    private renderer;
    private _element;
    private changeRef;
    private ngControl?;
    readonly valueChange: EventEmitter<Date | null>;
    ngModel: NgModel;
    private innerDateValue;
    private picker;
    outerValue: string;
    onAnjBlur(): void;
    onAnjDateChange(event: any): void;
    constructor(renderer: Renderer2, _element: ElementRef, changeRef: ChangeDetectorRef, ngControl?: NgControl);
    ngAfterViewInit(): void;
    writeValue(newValue: Date): void;
    onChange: (value: any) => void;
    onTouch: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private changeHandler;
    private propogateInnerValueChange;
}
